%global pypi_name accessible_pygments

Name:           python-accessible-pygments
Version:        0.0.5
Release:        %mkrel 3
Summary:        A collection of accessible pygments styles
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/accessible-pygments/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package includes a collection of accessible themes for pygments based on
different sources.

%package -n     python3-accessible-pygments
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-accessible-pygments}}

%description -n python3-accessible-pygments
This package includes a collection of accessible themes for pygments based on
different sources.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files a11y_pygments

%files -n python3-accessible-pygments -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.0.5-3.mga10
+ Revision: 2237679
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 0.0.5-2.mga10
+ Revision: 2153841
- rebuild for python 3.13

* Sun Jun 30 2024 papoteur <papoteur> 0.0.5-1.mga10
+ Revision: 2078103
- new version 0.0.5

* Wed Dec 27 2023 wally <wally> 0.0.4-1.mga10
+ Revision: 2022168
- imported package python-accessible-pygments

